org.apache.hadoop.mapreduce.v2.app.speculate

## Interface Speculator

- All Superinterfaces:
    org.apache.hadoop.yarn.event.EventHandler<SpeculatorEvent>
  All Known Implementing Classes:
    DefaultSpeculator

      public interface Speculator
      extends org.apache.hadoop.yarn.event.EventHandler<SpeculatorEvent>

  Speculator component. Task Attempts' status updates are sent to this component. Concrete implementation runs the speculative algorithm and sends the TaskEventType.T_ADD_ATTEMPT. An implementation also has to arrange for the jobs to be scanned from time to time, to launch the speculations.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Speculator.EventType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleAttempt(TaskAttemptStatusUpdateEvent.TaskAttemptStatus status)`

    - ### Methods inherited from interface org.apache.hadoop.yarn.event.EventHandler

      `handle`

- - ### Method Detail

    - #### handleAttempt

          void handleAttempt(TaskAttemptStatusUpdateEvent.TaskAttemptStatus status)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.